Name:           threadpoolctl
Version:        2.2.0
Release:        1
Summary:        Thread-pool Control
License:        BSD
URL:            https://github.com/joblib/threadpoolctl
Source0:        https://files.pythonhosted.org/packages/source/t/threadpoolctl/threadpoolctl-%{version}.tar.gz
BuildArch:      noarch

%define python3_sitearch %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

%global _description %{expand:
Python helpers to limit the number of threads used in the
threadpool-backed of common native libraries used for scientific computing
and data science (e.g. BLAS and OpenMP).
Fine control of the underlying thread-pool size can be useful in
workloads that involve nested parallelism so as to mitigate
oversubscription issues.}

BuildRequires:  python3-devel >= 3.7.11

%description %{_description}

%package -n python3-%{name}
Summary:       %{summary}
Requires:      python3 >= 3.7.11

%description -n python3-%{name} %{_description}

%prep
%autosetup -n %{name}-%{version} -p1


%build
export PATH=/opt/freeware/bin:$PATH

python3 setup.py build

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

python3 setup.py install --root %{buildroot} 


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -n python3-%{name}
%defattr(-,root,system,-)
%license LICENSE
%doc README.md
%{python3_sitearch}/%{name}.py
%{python3_sitearch}/__pycache__/%{name}*
%{python3_sitearch}/%{name}-*.egg-info


%changelog
* Thu Sep 16 2021 Ayappan P <ayappap2@in.ibm.com> - 2.2.0-1
- First port of threadpoolctl to AIX Toolbox
